polybori.intersect | index ../../../../lib/python2.7/dist-packages/polybori/intersect.py

`# intersect.py
# PolyBoRi
#
# Created by Michael Brickenstein on 2008-09-24.
# Copyright 2008 The PolyBoRi Team
#`

Functions

``

intersect(i, j, **gb_opts)
  `This functions intersects two ideals. The first ring variable is used as helper variable for this
  intersection. It is assumed, that it doesn't occur in the ideals, and that we have an elimination ordering
  for this variables. Both assumptions are checked.
  >>> from polybori.frontend import declare_ring
  >>> from polybori import Block
  >>> r=declare_ring(Block("x", 1000), globals())
  >>> x = r.variable
  >>> intersect([x(1),x(2)+1],[x(1),x(2)])
  [x(1)]`